// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: SummaryReportDayCache.proto

package ru.omnicomm.pegasus.messaging.data.responses.reportcache;

public final class SummaryReportDayCacheParser {
  private SummaryReportDayCacheParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class SummaryReportDayCache extends
      com.google.protobuf.GeneratedMessage {
    // Use SummaryReportDayCache.newBuilder() to construct.
    private SummaryReportDayCache() {
      initFields();
    }
    private SummaryReportDayCache(boolean noInit) {}
    
    private static final SummaryReportDayCache defaultInstance;
    public static SummaryReportDayCache getDefaultInstance() {
      return defaultInstance;
    }
    
    public SummaryReportDayCache getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 1001];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 1001;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDataItem items = 101;
    public static final int ITEMS_FIELD_NUMBER = 101;
    private java.util.List<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem> items_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem> getItemsList() {
      return items_;
    }
    public int getItemsCount() { return items_.size(); }
    public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem getItems(int index) {
      return items_.get(index);
    }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem element : getItemsList()) {
        output.writeMessage(101, element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem element : getItemsList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(101, element);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.items_ != java.util.Collections.EMPTY_LIST) {
          result.items_ =
            java.util.Collections.unmodifiableList(result.items_);
        }
        ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (!other.items_.isEmpty()) {
          if (result.items_.isEmpty()) {
            result.items_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem>();
          }
          result.items_.addAll(other.items_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 810: {
              ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.Builder subBuilder = ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addItems(subBuilder.buildPartial());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 1001];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 1001;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDataItem items = 101;
      public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem> getItemsList() {
        return java.util.Collections.unmodifiableList(result.items_);
      }
      public int getItemsCount() {
        return result.getItemsCount();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem getItems(int index) {
        return result.getItems(index);
      }
      public Builder setItems(int index, ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.items_.set(index, value);
        return this;
      }
      public Builder setItems(int index, ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.Builder builderForValue) {
        result.items_.set(index, builderForValue.build());
        return this;
      }
      public Builder addItems(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.items_.isEmpty()) {
          result.items_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem>();
        }
        result.items_.add(value);
        return this;
      }
      public Builder addItems(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.Builder builderForValue) {
        if (result.items_.isEmpty()) {
          result.items_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem>();
        }
        result.items_.add(builderForValue.build());
        return this;
      }
      public Builder addAllItems(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem> values) {
        if (result.items_.isEmpty()) {
          result.items_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem>();
        }
        super.addAll(values, result.items_);
        return this;
      }
      public Builder clearItems() {
        result.items_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCache)
    }
    
    static {
      defaultInstance = new SummaryReportDayCache(true);
      ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCache)
  }
  
  public static final class SummaryReportDataItem extends
      com.google.protobuf.GeneratedMessage {
    // Use SummaryReportDataItem.newBuilder() to construct.
    private SummaryReportDataItem() {
      initFields();
    }
    private SummaryReportDataItem(boolean noInit) {}
    
    private static final SummaryReportDataItem defaultInstance;
    public static SummaryReportDataItem getDefaultInstance() {
      return defaultInstance;
    }
    
    public SummaryReportDataItem getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_fieldAccessorTable;
    }
    
    // optional int32 dataItemTime = 1;
    public static final int DATAITEMTIME_FIELD_NUMBER = 1;
    private boolean hasDataItemTime;
    private int dataItemTime_ = 0;
    public boolean hasDataItemTime() { return hasDataItemTime; }
    public int getDataItemTime() { return dataItemTime_; }
    
    // optional int64 mileage = 2;
    public static final int MILEAGE_FIELD_NUMBER = 2;
    private boolean hasMileage;
    private long mileage_ = 0L;
    public boolean hasMileage() { return hasMileage; }
    public long getMileage() { return mileage_; }
    
    // optional int64 maxVelocity = 4;
    public static final int MAXVELOCITY_FIELD_NUMBER = 4;
    private boolean hasMaxVelocity;
    private long maxVelocity_ = 0L;
    public boolean hasMaxVelocity() { return hasMaxVelocity; }
    public long getMaxVelocity() { return maxVelocity_; }
    
    // optional int32 movementTime = 5;
    public static final int MOVEMENTTIME_FIELD_NUMBER = 5;
    private boolean hasMovementTime;
    private int movementTime_ = 0;
    public boolean hasMovementTime() { return hasMovementTime; }
    public int getMovementTime() { return movementTime_; }
    
    // optional int32 parkingTime = 6;
    public static final int PARKINGTIME_FIELD_NUMBER = 6;
    private boolean hasParkingTime;
    private int parkingTime_ = 0;
    public boolean hasParkingTime() { return hasParkingTime; }
    public int getParkingTime() { return parkingTime_; }
    
    // optional int32 nodataTime = 7;
    public static final int NODATATIME_FIELD_NUMBER = 7;
    private boolean hasNodataTime;
    private int nodataTime_ = 0;
    public boolean hasNodataTime() { return hasNodataTime; }
    public int getNodataTime() { return nodataTime_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasDataItemTime()) {
        output.writeInt32(1, getDataItemTime());
      }
      if (hasMileage()) {
        output.writeInt64(2, getMileage());
      }
      if (hasMaxVelocity()) {
        output.writeInt64(4, getMaxVelocity());
      }
      if (hasMovementTime()) {
        output.writeInt32(5, getMovementTime());
      }
      if (hasParkingTime()) {
        output.writeInt32(6, getParkingTime());
      }
      if (hasNodataTime()) {
        output.writeInt32(7, getNodataTime());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasDataItemTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getDataItemTime());
      }
      if (hasMileage()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, getMileage());
      }
      if (hasMaxVelocity()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(4, getMaxVelocity());
      }
      if (hasMovementTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(5, getMovementTime());
      }
      if (hasParkingTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, getParkingTime());
      }
      if (hasNodataTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(7, getNodataTime());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.getDefaultInstance()) return this;
        if (other.hasDataItemTime()) {
          setDataItemTime(other.getDataItemTime());
        }
        if (other.hasMileage()) {
          setMileage(other.getMileage());
        }
        if (other.hasMaxVelocity()) {
          setMaxVelocity(other.getMaxVelocity());
        }
        if (other.hasMovementTime()) {
          setMovementTime(other.getMovementTime());
        }
        if (other.hasParkingTime()) {
          setParkingTime(other.getParkingTime());
        }
        if (other.hasNodataTime()) {
          setNodataTime(other.getNodataTime());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setDataItemTime(input.readInt32());
              break;
            }
            case 16: {
              setMileage(input.readInt64());
              break;
            }
            case 32: {
              setMaxVelocity(input.readInt64());
              break;
            }
            case 40: {
              setMovementTime(input.readInt32());
              break;
            }
            case 48: {
              setParkingTime(input.readInt32());
              break;
            }
            case 56: {
              setNodataTime(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // optional int32 dataItemTime = 1;
      public boolean hasDataItemTime() {
        return result.hasDataItemTime();
      }
      public int getDataItemTime() {
        return result.getDataItemTime();
      }
      public Builder setDataItemTime(int value) {
        result.hasDataItemTime = true;
        result.dataItemTime_ = value;
        return this;
      }
      public Builder clearDataItemTime() {
        result.hasDataItemTime = false;
        result.dataItemTime_ = 0;
        return this;
      }
      
      // optional int64 mileage = 2;
      public boolean hasMileage() {
        return result.hasMileage();
      }
      public long getMileage() {
        return result.getMileage();
      }
      public Builder setMileage(long value) {
        result.hasMileage = true;
        result.mileage_ = value;
        return this;
      }
      public Builder clearMileage() {
        result.hasMileage = false;
        result.mileage_ = 0L;
        return this;
      }
      
      // optional int64 maxVelocity = 4;
      public boolean hasMaxVelocity() {
        return result.hasMaxVelocity();
      }
      public long getMaxVelocity() {
        return result.getMaxVelocity();
      }
      public Builder setMaxVelocity(long value) {
        result.hasMaxVelocity = true;
        result.maxVelocity_ = value;
        return this;
      }
      public Builder clearMaxVelocity() {
        result.hasMaxVelocity = false;
        result.maxVelocity_ = 0L;
        return this;
      }
      
      // optional int32 movementTime = 5;
      public boolean hasMovementTime() {
        return result.hasMovementTime();
      }
      public int getMovementTime() {
        return result.getMovementTime();
      }
      public Builder setMovementTime(int value) {
        result.hasMovementTime = true;
        result.movementTime_ = value;
        return this;
      }
      public Builder clearMovementTime() {
        result.hasMovementTime = false;
        result.movementTime_ = 0;
        return this;
      }
      
      // optional int32 parkingTime = 6;
      public boolean hasParkingTime() {
        return result.hasParkingTime();
      }
      public int getParkingTime() {
        return result.getParkingTime();
      }
      public Builder setParkingTime(int value) {
        result.hasParkingTime = true;
        result.parkingTime_ = value;
        return this;
      }
      public Builder clearParkingTime() {
        result.hasParkingTime = false;
        result.parkingTime_ = 0;
        return this;
      }
      
      // optional int32 nodataTime = 7;
      public boolean hasNodataTime() {
        return result.hasNodataTime();
      }
      public int getNodataTime() {
        return result.getNodataTime();
      }
      public Builder setNodataTime(int value) {
        result.hasNodataTime = true;
        result.nodataTime_ = value;
        return this;
      }
      public Builder clearNodataTime() {
        result.hasNodataTime = false;
        result.nodataTime_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDataItem)
    }
    
    static {
      defaultInstance = new SummaryReportDataItem(true);
      ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDataItem)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\033SummaryReportDayCache.proto\0228ru.omnico" +
      "mm.pegasus.messaging.data.responses.repo" +
      "rtcache\"\271\001\n\025SummaryReportDayCache\022\020\n\010sou" +
      "rceId\030\001 \002(\005\022\031\n\013messageType\030\002 \001(\005:\0041001\022\023" +
      "\n\013messageTime\030\003 \002(\005\022^\n\005items\030e \003(\0132O.ru." +
      "omnicomm.pegasus.messaging.data.response" +
      "s.reportcache.SummaryReportDataItem\"\222\001\n\025" +
      "SummaryReportDataItem\022\024\n\014dataItemTime\030\001 " +
      "\001(\005\022\017\n\007mileage\030\002 \001(\003\022\023\n\013maxVelocity\030\004 \001(" +
      "\003\022\024\n\014movementTime\030\005 \001(\005\022\023\n\013parkingTime\030\006",
      " \001(\005\022\022\n\nnodataTime\030\007 \001(\005BW\n8ru.omnicomm." +
      "pegasus.messaging.data.responses.reportc" +
      "acheB\033SummaryReportDayCacheParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDayCache_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Items", },
              ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.class,
              ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDayCache.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_reportcache_SummaryReportDataItem_descriptor,
              new java.lang.String[] { "DataItemTime", "Mileage", "MaxVelocity", "MovementTime", "ParkingTime", "NodataTime", },
              ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.class,
              ru.omnicomm.pegasus.messaging.data.responses.reportcache.SummaryReportDayCacheParser.SummaryReportDataItem.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
